<div class="container">
    <div class="row mt-5">
        <!-- colonne abonnements -->
        <div class="col">
            <p> Vos abonnements</p>
        </div>

        <!-- colonne liste match -->
        <div class="col-md-8 mb-5">
            <!-- Matchs du jour -->
                <div class="alert alert-light" role="alert">
                    <i class="fa-regular fa-futbol"></i> &nbsp; Aujourd'hui
                </div>

                <ng-container *ngFor="let encounter of encounters">
                    <div class="card today" *ngIf="isToday(encounter.encounterDate)">
                        <div class="card-body" (click)="betEncounter(encounter)" title="Cliquez pour parier">
                            <div class="row text-center">
                                <div class="col">
                                    <p>{{ encounter.encounterDate | date : " dd/MM/yyyy" }}</p>
                                </div>
                                <div class="col text-uppercase text-end">
                                    <p class="">{{ encounter.hostTeam.name}}</p>
                                </div>
                                <div class="col-1">
                                    <p><i class="fa fa-minus"></i></p>
                                </div>
                                <div class="col text-uppercase">
                                    <p class="text-start">{{ encounter.guestTeam.name}}</p>
                                </div>
                                <div class="col-md-6">
                                    <div class="row">
                                        <div class="col alert btn-mise text-end">
                                            <div class="row">
                                                <div class="col-md-4 d-flex align-items-center">
                                                    <img src="../../../assets/teamA.jpg" class="img-team float-start" />
                                                </div>

                                                <div class="col-md-8">
                                                    <p class="text-uppercase">{{ encounter.hostTeam.name}}</p>
                                                    <hr />
                                                    <p>{{ encounter.hostTeam.ratioRate }}</p>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="col-3 alert btn-mise">
                                            <p>Match nul</p>
                                            <hr />
                                            <p>1.1</p>
                                        </div>
                                        <div class="col alert btn-mise  text-end">
                                            <div class="row">
                                                <div class="col-md-4 d-flex align-items-center">
                                                    <img src="../../../assets/teamB.jpg" class="img-team float-start" />
                                                </div>
                                                <div class="col-md-8">
                                                    <p class="text-uppercase">{{ encounter.guestTeam.name}}</p>
                                                    <hr />
                                                    <p>{{ encounter.guestTeam.ratioRate }}</p>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-container>


            <!-- Matchs a venir -->
            <div class="alert alert-dark" role="alert">
                <div class="row">
                <div class="col-md-6 m-0">
                    <button class="btn btn-secondary disabled" disabled>
                    <i [class]="iconClass"></i> &nbsp; {{ alertText }}
                </button>
                </div>
                <div class="col-md-6 text-end m-0">
                    <button class="btn btn-secondary" (click)="toggleEncounter()">
                        <i class="fa-regular fa-clock"></i>&nbsp; {{  buttonText }}
                    </button>
                </div>
            </div>
            </div>

            <app-encounter-past *ngIf="showFuture"></app-encounter-past>
            <app-encounter-futur *ngIf="!showFuture" [bettor]="bettor"></app-encounter-futur>
        </div>
        <div class="col">
            <p>Transfert</p>
        </div>

    </div>
</div>